Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Patches » RHSA-2013:0640-01

Overview

Id RHSA-2013:0640-01
Name Red Hat 2013:0640-01 RHSA Important: tomcat5 security update for RHEL 5 x86
Vendor Name red_hat
Product None
Content Type Critical Critical
Language(s)
Operating System(s) Linux 
Released On 12 Mar 2013 12:00:00

RHSA-2013:0640-01

Red Hat 2013:0640-01 RHSA Important: tomcat5 security update for RHEL 5 x86

Vendor Name

red_hat

Product

None

Released On

12 Mar 2013 12:00:00

Url

https://rhn.redhat.com/errata/RHSA-2013-0640.html

Description

LSAC(v2)
Apache Tomcat is a servlet container. It was found that when an application used FORM authentication, along with another component that calls request.setUserPrincipal() before the call to FormAuthenticator#authenticate() (such as the Single-Sign-On valve), it was possible to bypass the security constraint checks in the FORM authenticator by appending "/j_security_check" to the end of a URL. A remote attacker with an authenticated session on an affected application could use this flaw to circumvent authorization controls, and thereby access resources not permitted by the roles associated with their authenticated session. (CVE-2012-3546) Multiple weaknesses were found in the Tomcat DIGEST authentication implementation, effectively reducing the security normally provided by DIGEST authentication. A remote attacker could use these flaws to perform replay attacks in some circumstances. (CVE-2012-5885, CVE-2012-5886, CVE-2012-5887) Users of Tomcat should upgrade to these updated packages, which correct these issues. Tomcat must be restarted for this update to take effect.

Related Resources

Related Vulnerabilities

CVE-2012-3546   CVE-2012-5885   CVE-2012-5886   CVE-2012-5887  

Related Patches

None

Superseded Patches


Last Updated: 27 May 2016 11:16:54